version: "3"

tasks:
  build:
    desc: Build local docker image (nixos-builder)
    dir: "{{ .ROOT_DIR }}/apps/ci-os"
    cmds:
    - nix build .#packages.x86_64-linux.build-image && nerdctl load < result

  publish:
    desc: Builds and pushes the flakes action image
    dir: "{{ .ROOT_DIR }}/apps/ci-os"
    cmds:
    - nerdctl push code.252.no/tommy/ci-os:latest
